# POST /users/{id}/erx/pharmacies URL: https://developers.vsee.io/api/pharmacy-api/post/users/%7Bid%7D/erx/pharmacies Auth: User Token — Requires a user access token from login or SSO. Save pharmacy Save patient's currently chosen pharmacy Save the patient's currently chosen pharmacy. **Note:** Set `type` to `mdtoolbox` when saving pharmacy data from MDToolbox search results. Include the `extra` object with the unmodified data returned by the pharmacy search API (contains NCPDPID, StoreName, etc.). Parameters: - X-ApiToken (header, string, required) — API token - X-AccountCode (header, string, required) — Account code - id (path, string, required) — User ID or dash (-) for current user Request body (application/json): - name (string, required) - code (string, required) - address (string, optional) - address_more (string, optional) - city (string, optional) - country (string, optional) - state (string, optional) - zip (string, optional) - phone (string, optional) - fax (string, optional) - lat (number, optional) - long (number, optional) - distance (number, optional) - type (string, optional) - extra (object, optional) Example request: ```json { "name": "A247PC00-Anesthesia 24/7, PC", "address": "1200 Freas Avenue", "code": "1001103", "city": "Berwick", "state": "PA", "zip": "18063", "phone": "5707525572", "fax": "6153972423", "type": "mdtoolbox", "extra": { "NCPDPID": "1001103", "StoreName": "A247PC00-Anesthesia 24/7, PC" } } ``` Responses: - 200 — Successful save ```json { "data": true } ```